<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_parttime.mvvm.PartTimeJobDetailViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_parttime.ui.activity.PartTimeJobDetailActivity.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="香格里拉酒店" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.guadou.cs_cptservices.widget.AsyncViewStub
                android:id="@+id/view_stub_root"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layout="@layout/include_part_time_job_detail_activity" />

            <!--  IM图标  -->
            <ImageView
                android:id="@+id/iv_yy_chat"
                android:layout_width="@dimen/d_90dp"
                android:layout_height="@dimen/d_90dp"
                android:layout_gravity="bottom|right"
                android:layout_marginRight="@dimen/d_10dp"
                android:layout_marginBottom="@dimen/d_80dp"
                android:src="@drawable/jump_chat_icon"
                android:visibility="visible"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <!--  取消工作等之类的工作异常状态显示  -->
            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_cancel_status_message"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/app_blue"
                android:drawableLeft="@drawable/job_detail_cancel_job_tips_icon"
                android:drawablePadding="@dimen/d_6dp"
                android:gravity="center_vertical"
                android:paddingLeft="@dimen/d_15dp"
                android:paddingTop="@dimen/d_12dp"
                android:paddingRight="@dimen/d_15dp"
                android:paddingBottom="@dimen/d_12dp"
                android:text="你已经取消过此工作，你无法再次申请工作"
                android:textColor="#FFFFF001"
                android:textSize="@dimen/d_15sp"
                android:visibility="gone" />

            <!-- 红包宝箱的WebView容器 -->
            <ViewStub
                android:id="@+id/view_stub_redpacket"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout="@layout/stub_job_detail_web" />

        </FrameLayout>

    </LinearLayout>

</layout>
